local _G, setmetatable, rawset, require = _G, setmetatable, rawset, require
local print = print
module('nsg')

local nsgmod = {
  getopt = "getopt",
  usage = "getopt",
  getopt_ordered = "getopt",

  spy = "spy",
  
  logging = "logging",
  
  serialize = "serialize",
  
  deepcopy = "deepcopy",
  
  colourstyle = "colours",
  colourstring = "colours",
  
-- C modules
  test7 = "test",
  test12 = "test",
}

setmetatable(_G.nsg,{
    __index = function(t,name)
      local mod = nsgmod[name]
      if mod then
        require('nsg.'..mod)
        return _G.nsg[name]
      end
    end
})

